## ros-kinetic-pepper-dcm-bringup 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pepper_dcm_bringup)

## Find catkin macros and libraries
find_package(catkin REQUIRED)
find_package(Boost)

##Needed for ros packages
catkin_package(CATKIN_DEPENDS rospy naoqi_dcm_driver)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-pepper-dcm-bringup (0.0.5-0xenial) xenial; urgency=high



 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 15 Nov 2017 23:00:00 -0000

ros-kinetic-pepper-dcm-bringup (0.0.4-0xenial) xenial; urgency=high

  * adding a dependency on pepper_control
  * fixing pepper_dcm_bringup_position.launch
  * cleaning the config file
  * adding max_stiffness parameter
  * adding head control
  * typos
  * typos
  * typos
  * Contributors: Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 15 Nov 2017 23:00:00 -0000

ros-kinetic-pepper-dcm-bringup (0.0.3-0xenial) xenial; urgency=high

  * Updating the version
  * changes in the launch file to be able to read controllers' joints
  * smooth motion
  * Update package.xml
    updating links and add documentation link
  * adjusting the controller frequency
  * fix the motor groups
  * removing the unused package
  * fixing the source link
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 21 Dec 2016 23:00:00 -0000

ros-kinetic-pepper-dcm-bringup (0.0.2-0xenial) xenial; urgency=high

  * adding CHANGELOG.rst
  * Contributors: Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Fri, 16 Sep 2016 15:12:00 -0000

ros-kinetic-pepper-dcm-bringup (0.0.1-0xenial) xenial; urgency=high

  * adding CHANGELOG.rst
  * fixing the source link
  * updating config params
  * making it working on Pepper with naoqi_dcm_driver
  * configuring to use with MoveIt
  * initial commit
  * Contributors: Karsten Knese, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Fri, 16 Sep 2016 15:37:00 -0000

=== debian/control ===
Source: ros-kinetic-pepper-dcm-bringup
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/pepper_dcm_bringup
Standards-Version: 3.9.2

Package: ros-kinetic-pepper-dcm-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-naoqi-dcm-driver, ros-kinetic-pepper-control, ros-kinetic-rospy
Description: Bring-up the dcm driver to control Pepper

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pepper-dcm-bringup//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
